Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface CDAR2Factory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDAR2FactoryImpl

    public interface CDAR2Factory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `CDAR2Package`

Field Summary
`static CDAR2Factory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AD` | `createAD()` Returns a new object of class 'AD'.
`ADXP` | `createADXP()` Returns a new object of class 'ADXP'.
`AdxpAdditionalLocator` | `createAdxpAdditionalLocator()` Returns a new object of class 'Adxp Additional Locator'.
`AdxpBuildingNumberSuffix` | `createAdxpBuildingNumberSuffix()` Returns a new object of class 'Adxp Building Number Suffix'.
`AdxpCareOf` | `createAdxpCareOf()` Returns a new object of class 'Adxp Care Of'.
`AdxpCensusTract` | `createAdxpCensusTract()` Returns a new object of class 'Adxp Census Tract'.
`AdxpCity` | `createAdxpCity()` Returns a new object of class 'Adxp City'.
`AdxpCountry` | `createAdxpCountry()` Returns a new object of class 'Adxp Country'.
`AdxpCounty` | `createAdxpCounty()` Returns a new object of class 'Adxp County'.
`AdxpDelimiter` | `createAdxpDelimiter()` Returns a new object of class 'Adxp Delimiter'.
`AdxpDeliveryAddressLine` | `createAdxpDeliveryAddressLine()` Returns a new object of class 'Adxp Delivery Address Line'.
`AdxpDeliveryInstallationArea` | `createAdxpDeliveryInstallationArea()` Returns a new object of class 'Adxp Delivery Installation Area'.
`AdxpDeliveryInstallationQualifier` | `createAdxpDeliveryInstallationQualifier()` Returns a new object of class 'Adxp Delivery Installation Qualifier'.
`AdxpDeliveryInstallationType` | `createAdxpDeliveryInstallationType()` Returns a new object of class 'Adxp Delivery Installation Type'.
`AdxpDeliveryMode` | `createAdxpDeliveryMode()` Returns a new object of class 'Adxp Delivery Mode'.
`AdxpDeliveryModeIdentifier` | `createAdxpDeliveryModeIdentifier()` Returns a new object of class 'Adxp Delivery Mode Identifier'.
`AdxpDirection` | `createAdxpDirection()` Returns a new object of class 'Adxp Direction'.
`AdxpHouseNumber` | `createAdxpHouseNumber()` Returns a new object of class 'Adxp House Number'.
`AdxpHouseNumberNumeric` | `createAdxpHouseNumberNumeric()` Returns a new object of class 'Adxp House Number Numeric'.
`AdxpPostalCode` | `createAdxpPostalCode()` Returns a new object of class 'Adxp Postal Code'.
`AdxpPostBox` | `createAdxpPostBox()` Returns a new object of class 'Adxp Post Box'.
`AdxpPrecinct` | `createAdxpPrecinct()` Returns a new object of class 'Adxp Precinct'.
`AdxpState` | `createAdxpState()` Returns a new object of class 'Adxp State'.
`AdxpStreetAddressLine` | `createAdxpStreetAddressLine()` Returns a new object of class 'Adxp Street Address Line'.
`AdxpStreetName` | `createAdxpStreetName()` Returns a new object of class 'Adxp Street Name'.
`AdxpStreetNameBase` | `createAdxpStreetNameBase()` Returns a new object of class 'Adxp Street Name Base'.
`AdxpStreetNameType` | `createAdxpStreetNameType()` Returns a new object of class 'Adxp Street Name Type'.
`AdxpUnitID` | `createAdxpUnitID()` Returns a new object of class 'Adxp Unit ID'.
`AdxpUnitType` | `createAdxpUnitType()` Returns a new object of class 'Adxp Unit Type'.
`ANYNonNull` | `createANYNonNull()` Returns a new object of class 'ANY Non Null'.
`BL1` | `createBL1()` Returns a new object of class 'BL1'.
`BN1` | `createBN1()` Returns a new object of class 'BN1'.
`BXITCD` | `createBXITCD()` Returns a new object of class 'BXITCD'.
`BXITIVLPQ` | `createBXITIVLPQ()` Returns a new object of class 'BXITIVLPQ'.
`CD` | `createCD()` Returns a new object of class 'CD'.
`CE` | `createCE()` Returns a new object of class 'CE'.
`CO` | `createCO()` Returns a new object of class 'CO'.
`CR` | `createCR()` Returns a new object of class 'CR'.
`CS1` | `createCS1()` Returns a new object of class 'CS1'.
`CV` | `createCV()` Returns a new object of class 'CV'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`ED` | `createED()` Returns a new object of class 'ED'.
`EIVLEvent` | `createEIVLEvent()` Returns a new object of class 'EIVL Event'.
`EIVLPPDTS` | `createEIVLPPDTS()` Returns a new object of class 'EIVLPPDTS'.
`EIVLTS` | `createEIVLTS()` Returns a new object of class 'EIVLTS'.
`EN` | `createEN()` Returns a new object of class 'EN'.
`EnDelimiter` | `createEnDelimiter()` Returns a new object of class 'En Delimiter'.
`EnFamily` | `createEnFamily()` Returns a new object of class 'En Family'.
`EnGiven` | `createEnGiven()` Returns a new object of class 'En Given'.
`EnPrefix` | `createEnPrefix()` Returns a new object of class 'En Prefix'.
`EnSuffix` | `createEnSuffix()` Returns a new object of class 'En Suffix'.
`ENXP` | `createENXP()` Returns a new object of class 'ENXP'.
`GLISTPQ` | `createGLISTPQ()` Returns a new object of class 'GLISTPQ'.
`GLISTTS` | `createGLISTTS()` Returns a new object of class 'GLISTTS'.
`HXITCE` | `createHXITCE()` Returns a new object of class 'HXITCE'.
`HXITPQ` | `createHXITPQ()` Returns a new object of class 'HXITPQ'.
`II` | `createII()` Returns a new object of class 'II'.
`INT1` | `createINT1()` Returns a new object of class 'INT1'.
`IVLINT` | `createIVLINT()` Returns a new object of class 'IVLINT'.
`IVLMO` | `createIVLMO()` Returns a new object of class 'IVLMO'.
`IVLPPDPQ` | `createIVLPPDPQ()` Returns a new object of class 'IVLPPDPQ'.
`IVLPPDTS` | `createIVLPPDTS()` Returns a new object of class 'IVLPPDTS'.
`IVLPQ` | `createIVLPQ()` Returns a new object of class 'IVLPQ'.
`IVLREAL` | `createIVLREAL()` Returns a new object of class 'IVLREAL'.
`IVLTS` | `createIVLTS()` Returns a new object of class 'IVLTS'.
`IVXBINT` | `createIVXBINT()` Returns a new object of class 'IVXBINT'.
`IVXBMO` | `createIVXBMO()` Returns a new object of class 'IVXBMO'.
`IVXBPPDPQ` | `createIVXBPPDPQ()` Returns a new object of class 'IVXBPPDPQ'.
`IVXBPPDTS` | `createIVXBPPDTS()` Returns a new object of class 'IVXBPPDTS'.
`IVXBPQ` | `createIVXBPQ()` Returns a new object of class 'IVXBPQ'.
`IVXBREAL` | `createIVXBREAL()` Returns a new object of class 'IVXBREAL'.
`IVXBTS` | `createIVXBTS()` Returns a new object of class 'IVXBTS'.
`MO` | `createMO()` Returns a new object of class 'MO'.
`ON` | `createON()` Returns a new object of class 'ON'.
`PIVLPPDTS` | `createPIVLPPDTS()` Returns a new object of class 'PIVLPPDTS'.
`PIVLTS` | `createPIVLTS()` Returns a new object of class 'PIVLTS'.
`PN` | `createPN()` Returns a new object of class 'PN'.
`POCDMT000040Act` | `createPOCDMT000040Act()` Returns a new object of class 'POCDMT000040 Act'.
`POCDMT000040AssignedAuthor` | `createPOCDMT000040AssignedAuthor()` Returns a new object of class 'POCDMT000040 Assigned Author'.
`POCDMT000040AssignedCustodian` | `createPOCDMT000040AssignedCustodian()` Returns a new object of class 'POCDMT000040 Assigned Custodian'.
`POCDMT000040AssignedEntity` | `createPOCDMT000040AssignedEntity()` Returns a new object of class 'POCDMT000040 Assigned Entity'.
`POCDMT000040AssociatedEntity` | `createPOCDMT000040AssociatedEntity()` Returns a new object of class 'POCDMT000040 Associated Entity'.
`POCDMT000040Authenticator` | `createPOCDMT000040Authenticator()` Returns a new object of class 'POCDMT000040 Authenticator'.
`POCDMT000040Author` | `createPOCDMT000040Author()` Returns a new object of class 'POCDMT000040 Author'.
`POCDMT000040AuthoringDevice` | `createPOCDMT000040AuthoringDevice()` Returns a new object of class 'POCDMT000040 Authoring Device'.
`POCDMT000040Authorization` | `createPOCDMT000040Authorization()` Returns a new object of class 'POCDMT000040 Authorization'.
`POCDMT000040Birthplace` | `createPOCDMT000040Birthplace()` Returns a new object of class 'POCDMT000040 Birthplace'.
`POCDMT000040ClinicalDocument` | `createPOCDMT000040ClinicalDocument()` Returns a new object of class 'POCDMT000040 Clinical Document'.
`POCDMT000040Component1` | `createPOCDMT000040Component1()` Returns a new object of class 'POCDMT000040 Component1'.
`POCDMT000040Component2` | `createPOCDMT000040Component2()` Returns a new object of class 'POCDMT000040 Component2'.
`POCDMT000040Component3` | `createPOCDMT000040Component3()` Returns a new object of class 'POCDMT000040 Component3'.
`POCDMT000040Component4` | `createPOCDMT000040Component4()` Returns a new object of class 'POCDMT000040 Component4'.
`POCDMT000040Component5` | `createPOCDMT000040Component5()` Returns a new object of class 'POCDMT000040 Component5'.
`POCDMT000040Consent` | `createPOCDMT000040Consent()` Returns a new object of class 'POCDMT000040 Consent'.
`POCDMT000040Consumable` | `createPOCDMT000040Consumable()` Returns a new object of class 'POCDMT000040 Consumable'.
`POCDMT000040Criterion` | `createPOCDMT000040Criterion()` Returns a new object of class 'POCDMT000040 Criterion'.
`POCDMT000040Custodian` | `createPOCDMT000040Custodian()` Returns a new object of class 'POCDMT000040 Custodian'.
`POCDMT000040CustodianOrganization` | `createPOCDMT000040CustodianOrganization()` Returns a new object of class 'POCDMT000040 Custodian Organization'.
`POCDMT000040DataEnterer` | `createPOCDMT000040DataEnterer()` Returns a new object of class 'POCDMT000040 Data Enterer'.
`POCDMT000040Device` | `createPOCDMT000040Device()` Returns a new object of class 'POCDMT000040 Device'.
`POCDMT000040DocumentationOf` | `createPOCDMT000040DocumentationOf()` Returns a new object of class 'POCDMT000040 Documentation Of'.
`POCDMT000040EncompassingEncounter` | `createPOCDMT000040EncompassingEncounter()` Returns a new object of class 'POCDMT000040 Encompassing Encounter'.
`POCDMT000040Encounter` | `createPOCDMT000040Encounter()` Returns a new object of class 'POCDMT000040 Encounter'.
`POCDMT000040EncounterParticipant` | `createPOCDMT000040EncounterParticipant()` Returns a new object of class 'POCDMT000040 Encounter Participant'.
`POCDMT000040Entity` | `createPOCDMT000040Entity()` Returns a new object of class 'POCDMT000040 Entity'.
`POCDMT000040Entry` | `createPOCDMT000040Entry()` Returns a new object of class 'POCDMT000040 Entry'.
`POCDMT000040EntryRelationship` | `createPOCDMT000040EntryRelationship()` Returns a new object of class 'POCDMT000040 Entry Relationship'.
`POCDMT000040ExternalAct` | `createPOCDMT000040ExternalAct()` Returns a new object of class 'POCDMT000040 External Act'.
`POCDMT000040ExternalDocument` | `createPOCDMT000040ExternalDocument()` Returns a new object of class 'POCDMT000040 External Document'.
`POCDMT000040ExternalObservation` | `createPOCDMT000040ExternalObservation()` Returns a new object of class 'POCDMT000040 External Observation'.
`POCDMT000040ExternalProcedure` | `createPOCDMT000040ExternalProcedure()` Returns a new object of class 'POCDMT000040 External Procedure'.
`POCDMT000040Guardian` | `createPOCDMT000040Guardian()` Returns a new object of class 'POCDMT000040 Guardian'.
`POCDMT000040HealthCareFacility` | `createPOCDMT000040HealthCareFacility()` Returns a new object of class 'POCDMT000040 Health Care Facility'.
`POCDMT000040Informant12` | `createPOCDMT000040Informant12()` Returns a new object of class 'POCDMT000040 Informant12'.
`POCDMT000040InformationRecipient` | `createPOCDMT000040InformationRecipient()` Returns a new object of class 'POCDMT000040 Information Recipient'.
`POCDMT000040InfrastructureRootTypeId` | `createPOCDMT000040InfrastructureRootTypeId()` Returns a new object of class 'POCDMT000040 Infrastructure Root Type Id'.
`POCDMT000040InFulfillmentOf` | `createPOCDMT000040InFulfillmentOf()` Returns a new object of class 'POCDMT000040 In Fulfillment Of'.
`POCDMT000040IntendedRecipient` | `createPOCDMT000040IntendedRecipient()` Returns a new object of class 'POCDMT000040 Intended Recipient'.
`POCDMT000040LabeledDrug` | `createPOCDMT000040LabeledDrug()` Returns a new object of class 'POCDMT000040 Labeled Drug'.
`POCDMT000040LanguageCommunication` | `createPOCDMT000040LanguageCommunication()` Returns a new object of class 'POCDMT000040 Language Communication'.
`POCDMT000040LegalAuthenticator` | `createPOCDMT000040LegalAuthenticator()` Returns a new object of class 'POCDMT000040 Legal Authenticator'.
`POCDMT000040Location` | `createPOCDMT000040Location()` Returns a new object of class 'POCDMT000040 Location'.
`POCDMT000040MaintainedEntity` | `createPOCDMT000040MaintainedEntity()` Returns a new object of class 'POCDMT000040 Maintained Entity'.
`POCDMT000040ManufacturedProduct` | `createPOCDMT000040ManufacturedProduct()` Returns a new object of class 'POCDMT000040 Manufactured Product'.
`POCDMT000040Material` | `createPOCDMT000040Material()` Returns a new object of class 'POCDMT000040 Material'.
`POCDMT000040NonXMLBody` | `createPOCDMT000040NonXMLBody()` Returns a new object of class 'POCDMT000040 Non XML Body'.
`POCDMT000040Observation` | `createPOCDMT000040Observation()` Returns a new object of class 'POCDMT000040 Observation'.
`POCDMT000040ObservationMedia` | `createPOCDMT000040ObservationMedia()` Returns a new object of class 'POCDMT000040 Observation Media'.
`POCDMT000040ObservationRange` | `createPOCDMT000040ObservationRange()` Returns a new object of class 'POCDMT000040 Observation Range'.
`POCDMT000040Order` | `createPOCDMT000040Order()` Returns a new object of class 'POCDMT000040 Order'.
`POCDMT000040Organization` | `createPOCDMT000040Organization()` Returns a new object of class 'POCDMT000040 Organization'.
`POCDMT000040OrganizationPartOf` | `createPOCDMT000040OrganizationPartOf()` Returns a new object of class 'POCDMT000040 Organization Part Of'.
`POCDMT000040Organizer` | `createPOCDMT000040Organizer()` Returns a new object of class 'POCDMT000040 Organizer'.
`POCDMT000040ParentDocument` | `createPOCDMT000040ParentDocument()` Returns a new object of class 'POCDMT000040 Parent Document'.
`POCDMT000040Participant1` | `createPOCDMT000040Participant1()` Returns a new object of class 'POCDMT000040 Participant1'.
`POCDMT000040Participant2` | `createPOCDMT000040Participant2()` Returns a new object of class 'POCDMT000040 Participant2'.
`POCDMT000040ParticipantRole` | `createPOCDMT000040ParticipantRole()` Returns a new object of class 'POCDMT000040 Participant Role'.
`POCDMT000040Patient` | `createPOCDMT000040Patient()` Returns a new object of class 'POCDMT000040 Patient'.
`POCDMT000040PatientRole` | `createPOCDMT000040PatientRole()` Returns a new object of class 'POCDMT000040 Patient Role'.
`POCDMT000040Performer1` | `createPOCDMT000040Performer1()` Returns a new object of class 'POCDMT000040 Performer1'.
`POCDMT000040Performer2` | `createPOCDMT000040Performer2()` Returns a new object of class 'POCDMT000040 Performer2'.
`POCDMT000040Person` | `createPOCDMT000040Person()` Returns a new object of class 'POCDMT000040 Person'.
`POCDMT000040Place` | `createPOCDMT000040Place()` Returns a new object of class 'POCDMT000040 Place'.
`POCDMT000040PlayingEntity` | `createPOCDMT000040PlayingEntity()` Returns a new object of class 'POCDMT000040 Playing Entity'.
`POCDMT000040Precondition` | `createPOCDMT000040Precondition()` Returns a new object of class 'POCDMT000040 Precondition'.
`POCDMT000040Procedure` | `createPOCDMT000040Procedure()` Returns a new object of class 'POCDMT000040 Procedure'.
`POCDMT000040Product` | `createPOCDMT000040Product()` Returns a new object of class 'POCDMT000040 Product'.
`POCDMT000040RecordTarget` | `createPOCDMT000040RecordTarget()` Returns a new object of class 'POCDMT000040 Record Target'.
`POCDMT000040Reference` | `createPOCDMT000040Reference()` Returns a new object of class 'POCDMT000040 Reference'.
`POCDMT000040ReferenceRange` | `createPOCDMT000040ReferenceRange()` Returns a new object of class 'POCDMT000040 Reference Range'.
`POCDMT000040RegionOfInterest` | `createPOCDMT000040RegionOfInterest()` Returns a new object of class 'POCDMT000040 Region Of Interest'.
`POCDMT000040RegionOfInterestValue` | `createPOCDMT000040RegionOfInterestValue()` Returns a new object of class 'POCDMT000040 Region Of Interest Value'.
`POCDMT000040RelatedDocument` | `createPOCDMT000040RelatedDocument()` Returns a new object of class 'POCDMT000040 Related Document'.
`POCDMT000040RelatedEntity` | `createPOCDMT000040RelatedEntity()` Returns a new object of class 'POCDMT000040 Related Entity'.
`POCDMT000040RelatedSubject` | `createPOCDMT000040RelatedSubject()` Returns a new object of class 'POCDMT000040 Related Subject'.
`POCDMT000040ResponsibleParty` | `createPOCDMT000040ResponsibleParty()` Returns a new object of class 'POCDMT000040 Responsible Party'.
`POCDMT000040Section` | `createPOCDMT000040Section()` Returns a new object of class 'POCDMT000040 Section'.
`POCDMT000040ServiceEvent` | `createPOCDMT000040ServiceEvent()` Returns a new object of class 'POCDMT000040 Service Event'.
`POCDMT000040Specimen` | `createPOCDMT000040Specimen()` Returns a new object of class 'POCDMT000040 Specimen'.
`POCDMT000040SpecimenRole` | `createPOCDMT000040SpecimenRole()` Returns a new object of class 'POCDMT000040 Specimen Role'.
`POCDMT000040StructuredBody` | `createPOCDMT000040StructuredBody()` Returns a new object of class 'POCDMT000040 Structured Body'.
`POCDMT000040Subject` | `createPOCDMT000040Subject()` Returns a new object of class 'POCDMT000040 Subject'.
`POCDMT000040SubjectPerson` | `createPOCDMT000040SubjectPerson()` Returns a new object of class 'POCDMT000040 Subject Person'.
`POCDMT000040SubstanceAdministration` | `createPOCDMT000040SubstanceAdministration()` Returns a new object of class 'POCDMT000040 Substance Administration'.
`POCDMT000040Supply` | `createPOCDMT000040Supply()` Returns a new object of class 'POCDMT000040 Supply'.
`PPDPQ` | `createPPDPQ()` Returns a new object of class 'PPDPQ'.
`PPDTS` | `createPPDTS()` Returns a new object of class 'PPDTS'.
`PQ` | `createPQ()` Returns a new object of class 'PQ'.
`PQR` | `createPQR()` Returns a new object of class 'PQR'.
`REAL1` | `createREAL1()` Returns a new object of class 'REAL1'.
`RTO` | `createRTO()` Returns a new object of class 'RTO'.
`RTOMOPQ` | `createRTOMOPQ()` Returns a new object of class 'RTOMOPQ'.
`RTOPQPQ` | `createRTOPQPQ()` Returns a new object of class 'RTOPQPQ'.
`RTOQTYQTY` | `createRTOQTYQTY()` Returns a new object of class 'RTOQTYQTY'.
`SC` | `createSC()` Returns a new object of class 'SC'.
`SLISTPQ` | `createSLISTPQ()` Returns a new object of class 'SLISTPQ'.
`SLISTTS` | `createSLISTTS()` Returns a new object of class 'SLISTTS'.
`ST1` | `createST1()` Returns a new object of class 'ST1'.
`StrucDocBr` | `createStrucDocBr()` Returns a new object of class 'Struc Doc Br'.
`StrucDocCaption` | `createStrucDocCaption()` Returns a new object of class 'Struc Doc Caption'.
`StrucDocCol` | `createStrucDocCol()` Returns a new object of class 'Struc Doc Col'.
`StrucDocColgroup` | `createStrucDocColgroup()` Returns a new object of class 'Struc Doc Colgroup'.
`StrucDocContent` | `createStrucDocContent()` Returns a new object of class 'Struc Doc Content'.
`StrucDocFootnote` | `createStrucDocFootnote()` Returns a new object of class 'Struc Doc Footnote'.
`StrucDocFootnoteRef` | `createStrucDocFootnoteRef()` Returns a new object of class 'Struc Doc Footnote Ref'.
`StrucDocItem` | `createStrucDocItem()` Returns a new object of class 'Struc Doc Item'.
`StrucDocLinkHtml` | `createStrucDocLinkHtml()` Returns a new object of class 'Struc Doc Link Html'.
`StrucDocList` | `createStrucDocList()` Returns a new object of class 'Struc Doc List'.
`StrucDocParagraph` | `createStrucDocParagraph()` Returns a new object of class 'Struc Doc Paragraph'.
`StrucDocRenderMultiMedia` | `createStrucDocRenderMultiMedia()` Returns a new object of class 'Struc Doc Render Multi Media'.
`StrucDocSub` | `createStrucDocSub()` Returns a new object of class 'Struc Doc Sub'.
`StrucDocSup` | `createStrucDocSup()` Returns a new object of class 'Struc Doc Sup'.
`StrucDocTable` | `createStrucDocTable()` Returns a new object of class 'Struc Doc Table'.
`StrucDocTbody` | `createStrucDocTbody()` Returns a new object of class 'Struc Doc Tbody'.
`StrucDocTd` | `createStrucDocTd()` Returns a new object of class 'Struc Doc Td'.
`StrucDocText` | `createStrucDocText()` Returns a new object of class 'Struc Doc Text'.
`StrucDocTfoot` | `createStrucDocTfoot()` Returns a new object of class 'Struc Doc Tfoot'.
`StrucDocTh` | `createStrucDocTh()` Returns a new object of class 'Struc Doc Th'.
`StrucDocThead` | `createStrucDocThead()` Returns a new object of class 'Struc Doc Thead'.
`StrucDocTitle` | `createStrucDocTitle()` Returns a new object of class 'Struc Doc Title'.
`StrucDocTitleContent` | `createStrucDocTitleContent()` Returns a new object of class 'Struc Doc Title Content'.
`StrucDocTitleFootnote` | `createStrucDocTitleFootnote()` Returns a new object of class 'Struc Doc Title Footnote'.
`StrucDocTr` | `createStrucDocTr()` Returns a new object of class 'Struc Doc Tr'.
`SXCMCD` | `createSXCMCD()` Returns a new object of class 'SXCMCD'.
`SXCMINT` | `createSXCMINT()` Returns a new object of class 'SXCMINT'.
`SXCMMO` | `createSXCMMO()` Returns a new object of class 'SXCMMO'.
`SXCMPPDPQ` | `createSXCMPPDPQ()` Returns a new object of class 'SXCMPPDPQ'.
`SXCMPPDTS` | `createSXCMPPDTS()` Returns a new object of class 'SXCMPPDTS'.
`SXCMPQ` | `createSXCMPQ()` Returns a new object of class 'SXCMPQ'.
`SXCMREAL` | `createSXCMREAL()` Returns a new object of class 'SXCMREAL'.
`SXCMTS` | `createSXCMTS()` Returns a new object of class 'SXCMTS'.
`SXPRTS` | `createSXPRTS()` Returns a new object of class 'SXPRTS'.
`TEL` | `createTEL()` Returns a new object of class 'TEL'.
`Thumbnail` | `createThumbnail()` Returns a new object of class 'Thumbnail'.
`TN` | `createTN()` Returns a new object of class 'TN'.
`TS1` | `createTS1()` Returns a new object of class 'TS1'.
`UVPTS` | `createUVPTS()` Returns a new object of class 'UVPTS'.
`CDAR2Package` | `getCDAR2Package()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final CDAR2Factory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAD

    AD createAD()

  Returns a new object of class 'AD'.

  Returns:
    a new object of class 'AD'.

### createADXP

    ADXP createADXP()

  Returns a new object of class 'ADXP'.

  Returns:
    a new object of class 'ADXP'.

### createAdxpAdditionalLocator

    AdxpAdditionalLocator createAdxpAdditionalLocator()

  Returns a new object of class 'Adxp Additional Locator'.

  Returns:
    a new object of class 'Adxp Additional Locator'.

### createAdxpBuildingNumberSuffix

    AdxpBuildingNumberSuffix createAdxpBuildingNumberSuffix()

  Returns a new object of class 'Adxp Building Number Suffix'.

  Returns:
    a new object of class 'Adxp Building Number Suffix'.

### createAdxpCareOf

    AdxpCareOf createAdxpCareOf()

  Returns a new object of class 'Adxp Care Of'.

  Returns:
    a new object of class 'Adxp Care Of'.

### createAdxpCensusTract

    AdxpCensusTract createAdxpCensusTract()

  Returns a new object of class 'Adxp Census Tract'.

  Returns:
    a new object of class 'Adxp Census Tract'.

### createAdxpCity

    AdxpCity createAdxpCity()

  Returns a new object of class 'Adxp City'.

  Returns:
    a new object of class 'Adxp City'.

### createAdxpCountry

    AdxpCountry createAdxpCountry()

  Returns a new object of class 'Adxp Country'.

  Returns:
    a new object of class 'Adxp Country'.

### createAdxpCounty

    AdxpCounty createAdxpCounty()

  Returns a new object of class 'Adxp County'.

  Returns:
    a new object of class 'Adxp County'.

### createAdxpDelimiter

    AdxpDelimiter createAdxpDelimiter()

  Returns a new object of class 'Adxp Delimiter'.

  Returns:
    a new object of class 'Adxp Delimiter'.

### createAdxpDeliveryAddressLine

    AdxpDeliveryAddressLine createAdxpDeliveryAddressLine()

  Returns a new object of class 'Adxp Delivery Address Line'.

  Returns:
    a new object of class 'Adxp Delivery Address Line'.

### createAdxpDeliveryInstallationArea

    AdxpDeliveryInstallationArea createAdxpDeliveryInstallationArea()

  Returns a new object of class 'Adxp Delivery Installation Area'.

  Returns:
    a new object of class 'Adxp Delivery Installation Area'.

### createAdxpDeliveryInstallationQualifier

    AdxpDeliveryInstallationQualifier createAdxpDeliveryInstallationQualifier()

  Returns a new object of class 'Adxp Delivery Installation Qualifier'.

  Returns:
    a new object of class 'Adxp Delivery Installation Qualifier'.

### createAdxpDeliveryInstallationType

    AdxpDeliveryInstallationType createAdxpDeliveryInstallationType()

  Returns a new object of class 'Adxp Delivery Installation Type'.

  Returns:
    a new object of class 'Adxp Delivery Installation Type'.

### createAdxpDeliveryMode

    AdxpDeliveryMode createAdxpDeliveryMode()

  Returns a new object of class 'Adxp Delivery Mode'.

  Returns:
    a new object of class 'Adxp Delivery Mode'.

### createAdxpDeliveryModeIdentifier

    AdxpDeliveryModeIdentifier createAdxpDeliveryModeIdentifier()

  Returns a new object of class 'Adxp Delivery Mode Identifier'.

  Returns:
    a new object of class 'Adxp Delivery Mode Identifier'.

### createAdxpDirection

    AdxpDirection createAdxpDirection()

  Returns a new object of class 'Adxp Direction'.

  Returns:
    a new object of class 'Adxp Direction'.

### createAdxpHouseNumber

    AdxpHouseNumber createAdxpHouseNumber()

  Returns a new object of class 'Adxp House Number'.

  Returns:
    a new object of class 'Adxp House Number'.

### createAdxpHouseNumberNumeric

    AdxpHouseNumberNumeric createAdxpHouseNumberNumeric()

  Returns a new object of class 'Adxp House Number Numeric'.

  Returns:
    a new object of class 'Adxp House Number Numeric'.

### createAdxpPostalCode

    AdxpPostalCode createAdxpPostalCode()

  Returns a new object of class 'Adxp Postal Code'.

  Returns:
    a new object of class 'Adxp Postal Code'.

### createAdxpPostBox

    AdxpPostBox createAdxpPostBox()

  Returns a new object of class 'Adxp Post Box'.

  Returns:
    a new object of class 'Adxp Post Box'.

### createAdxpPrecinct

    AdxpPrecinct createAdxpPrecinct()

  Returns a new object of class 'Adxp Precinct'.

  Returns:
    a new object of class 'Adxp Precinct'.

### createAdxpState

    AdxpState createAdxpState()

  Returns a new object of class 'Adxp State'.

  Returns:
    a new object of class 'Adxp State'.

### createAdxpStreetAddressLine

    AdxpStreetAddressLine createAdxpStreetAddressLine()

  Returns a new object of class 'Adxp Street Address Line'.

  Returns:
    a new object of class 'Adxp Street Address Line'.

### createAdxpStreetName

    AdxpStreetName createAdxpStreetName()

  Returns a new object of class 'Adxp Street Name'.

  Returns:
    a new object of class 'Adxp Street Name'.

### createAdxpStreetNameBase

    AdxpStreetNameBase createAdxpStreetNameBase()

  Returns a new object of class 'Adxp Street Name Base'.

  Returns:
    a new object of class 'Adxp Street Name Base'.

### createAdxpStreetNameType

    AdxpStreetNameType createAdxpStreetNameType()

  Returns a new object of class 'Adxp Street Name Type'.

  Returns:
    a new object of class 'Adxp Street Name Type'.

### createAdxpUnitID

    AdxpUnitID createAdxpUnitID()

  Returns a new object of class 'Adxp Unit ID'.

  Returns:
    a new object of class 'Adxp Unit ID'.

### createAdxpUnitType

    AdxpUnitType createAdxpUnitType()

  Returns a new object of class 'Adxp Unit Type'.

  Returns:
    a new object of class 'Adxp Unit Type'.

### createANYNonNull

    ANYNonNull createANYNonNull()

  Returns a new object of class 'ANY Non Null'.

  Returns:
    a new object of class 'ANY Non Null'.

### createBL1

    BL1 createBL1()

  Returns a new object of class 'BL1'.

  Returns:
    a new object of class 'BL1'.

### createBN1

    BN1 createBN1()

  Returns a new object of class 'BN1'.

  Returns:
    a new object of class 'BN1'.

### createBXITCD

    BXITCD createBXITCD()

  Returns a new object of class 'BXITCD'.

  Returns:
    a new object of class 'BXITCD'.

### createBXITIVLPQ

    BXITIVLPQ createBXITIVLPQ()

  Returns a new object of class 'BXITIVLPQ'.

  Returns:
    a new object of class 'BXITIVLPQ'.

### createCD

    CD createCD()

  Returns a new object of class 'CD'.

  Returns:
    a new object of class 'CD'.

### createCE

    CE createCE()

  Returns a new object of class 'CE'.

  Returns:
    a new object of class 'CE'.

### createCO

    CO createCO()

  Returns a new object of class 'CO'.

  Returns:
    a new object of class 'CO'.

### createCR

    CR createCR()

  Returns a new object of class 'CR'.

  Returns:
    a new object of class 'CR'.

### createCS1

    CS1 createCS1()

  Returns a new object of class 'CS1'.

  Returns:
    a new object of class 'CS1'.

### createCV

    CV createCV()

  Returns a new object of class 'CV'.

  Returns:
    a new object of class 'CV'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createED

    ED createED()

  Returns a new object of class 'ED'.

  Returns:
    a new object of class 'ED'.

### createEIVLEvent

    EIVLEvent createEIVLEvent()

  Returns a new object of class 'EIVL Event'.

  Returns:
    a new object of class 'EIVL Event'.

### createEIVLPPDTS

    EIVLPPDTS createEIVLPPDTS()

  Returns a new object of class 'EIVLPPDTS'.

  Returns:
    a new object of class 'EIVLPPDTS'.

### createEIVLTS

    EIVLTS createEIVLTS()

  Returns a new object of class 'EIVLTS'.

  Returns:
    a new object of class 'EIVLTS'.

### createEN

    EN createEN()

  Returns a new object of class 'EN'.

  Returns:
    a new object of class 'EN'.

### createEnDelimiter

    EnDelimiter createEnDelimiter()

  Returns a new object of class 'En Delimiter'.

  Returns:
    a new object of class 'En Delimiter'.

### createEnFamily

    EnFamily createEnFamily()

  Returns a new object of class 'En Family'.

  Returns:
    a new object of class 'En Family'.

### createEnGiven

    EnGiven createEnGiven()

  Returns a new object of class 'En Given'.

  Returns:
    a new object of class 'En Given'.

### createEnPrefix

    EnPrefix createEnPrefix()

  Returns a new object of class 'En Prefix'.

  Returns:
    a new object of class 'En Prefix'.

### createEnSuffix

    EnSuffix createEnSuffix()

  Returns a new object of class 'En Suffix'.

  Returns:
    a new object of class 'En Suffix'.

### createENXP

    ENXP createENXP()

  Returns a new object of class 'ENXP'.

  Returns:
    a new object of class 'ENXP'.

### createGLISTPQ

    GLISTPQ createGLISTPQ()

  Returns a new object of class 'GLISTPQ'.

  Returns:
    a new object of class 'GLISTPQ'.

### createGLISTTS

    GLISTTS createGLISTTS()

  Returns a new object of class 'GLISTTS'.

  Returns:
    a new object of class 'GLISTTS'.

### createHXITCE

    HXITCE createHXITCE()

  Returns a new object of class 'HXITCE'.

  Returns:
    a new object of class 'HXITCE'.

### createHXITPQ

    HXITPQ createHXITPQ()

  Returns a new object of class 'HXITPQ'.

  Returns:
    a new object of class 'HXITPQ'.

### createII

    II createII()

  Returns a new object of class 'II'.

  Returns:
    a new object of class 'II'.

### createINT1

    INT1 createINT1()

  Returns a new object of class 'INT1'.

  Returns:
    a new object of class 'INT1'.

### createIVLINT

    IVLINT createIVLINT()

  Returns a new object of class 'IVLINT'.

  Returns:
    a new object of class 'IVLINT'.

### createIVLMO

    IVLMO createIVLMO()

  Returns a new object of class 'IVLMO'.

  Returns:
    a new object of class 'IVLMO'.

### createIVLPPDPQ

    IVLPPDPQ createIVLPPDPQ()

  Returns a new object of class 'IVLPPDPQ'.

  Returns:
    a new object of class 'IVLPPDPQ'.

### createIVLPPDTS

    IVLPPDTS createIVLPPDTS()

  Returns a new object of class 'IVLPPDTS'.

  Returns:
    a new object of class 'IVLPPDTS'.

### createIVLPQ

    IVLPQ createIVLPQ()

  Returns a new object of class 'IVLPQ'.

  Returns:
    a new object of class 'IVLPQ'.

### createIVLREAL

    IVLREAL createIVLREAL()

  Returns a new object of class 'IVLREAL'.

  Returns:
    a new object of class 'IVLREAL'.

### createIVLTS

    IVLTS createIVLTS()

  Returns a new object of class 'IVLTS'.

  Returns:
    a new object of class 'IVLTS'.

### createIVXBINT

    IVXBINT createIVXBINT()

  Returns a new object of class 'IVXBINT'.

  Returns:
    a new object of class 'IVXBINT'.

### createIVXBMO

    IVXBMO createIVXBMO()

  Returns a new object of class 'IVXBMO'.

  Returns:
    a new object of class 'IVXBMO'.

### createIVXBPPDPQ

    IVXBPPDPQ createIVXBPPDPQ()

  Returns a new object of class 'IVXBPPDPQ'.

  Returns:
    a new object of class 'IVXBPPDPQ'.

### createIVXBPPDTS

    IVXBPPDTS createIVXBPPDTS()

  Returns a new object of class 'IVXBPPDTS'.

  Returns:
    a new object of class 'IVXBPPDTS'.

### createIVXBPQ

    IVXBPQ createIVXBPQ()

  Returns a new object of class 'IVXBPQ'.

  Returns:
    a new object of class 'IVXBPQ'.

### createIVXBREAL

    IVXBREAL createIVXBREAL()

  Returns a new object of class 'IVXBREAL'.

  Returns:
    a new object of class 'IVXBREAL'.

### createIVXBTS

    IVXBTS createIVXBTS()

  Returns a new object of class 'IVXBTS'.

  Returns:
    a new object of class 'IVXBTS'.

### createMO

    MO createMO()

  Returns a new object of class 'MO'.

  Returns:
    a new object of class 'MO'.

### createON

    ON createON()

  Returns a new object of class 'ON'.

  Returns:
    a new object of class 'ON'.

### createPIVLPPDTS

    PIVLPPDTS createPIVLPPDTS()

  Returns a new object of class 'PIVLPPDTS'.

  Returns:
    a new object of class 'PIVLPPDTS'.

### createPIVLTS

    PIVLTS createPIVLTS()

  Returns a new object of class 'PIVLTS'.

  Returns:
    a new object of class 'PIVLTS'.

### createPN

    PN createPN()

  Returns a new object of class 'PN'.

  Returns:
    a new object of class 'PN'.

### createPOCDMT000040Act

    POCDMT000040Act createPOCDMT000040Act()

  Returns a new object of class 'POCDMT000040 Act'.

  Returns:
    a new object of class 'POCDMT000040 Act'.

### createPOCDMT000040AssignedAuthor

    POCDMT000040AssignedAuthor createPOCDMT000040AssignedAuthor()

  Returns a new object of class 'POCDMT000040 Assigned Author'.

  Returns:
    a new object of class 'POCDMT000040 Assigned Author'.

### createPOCDMT000040AssignedCustodian

    POCDMT000040AssignedCustodian createPOCDMT000040AssignedCustodian()

  Returns a new object of class 'POCDMT000040 Assigned Custodian'.

  Returns:
    a new object of class 'POCDMT000040 Assigned Custodian'.

### createPOCDMT000040AssignedEntity

    POCDMT000040AssignedEntity createPOCDMT000040AssignedEntity()

  Returns a new object of class 'POCDMT000040 Assigned Entity'.

  Returns:
    a new object of class 'POCDMT000040 Assigned Entity'.

### createPOCDMT000040AssociatedEntity

    POCDMT000040AssociatedEntity createPOCDMT000040AssociatedEntity()

  Returns a new object of class 'POCDMT000040 Associated Entity'.

  Returns:
    a new object of class 'POCDMT000040 Associated Entity'.

### createPOCDMT000040Authenticator

    POCDMT000040Authenticator createPOCDMT000040Authenticator()

  Returns a new object of class 'POCDMT000040 Authenticator'.

  Returns:
    a new object of class 'POCDMT000040 Authenticator'.

### createPOCDMT000040Author

    POCDMT000040Author createPOCDMT000040Author()

  Returns a new object of class 'POCDMT000040 Author'.

  Returns:
    a new object of class 'POCDMT000040 Author'.

### createPOCDMT000040AuthoringDevice

    POCDMT000040AuthoringDevice createPOCDMT000040AuthoringDevice()

  Returns a new object of class 'POCDMT000040 Authoring Device'.

  Returns:
    a new object of class 'POCDMT000040 Authoring Device'.

### createPOCDMT000040Authorization

    POCDMT000040Authorization createPOCDMT000040Authorization()

  Returns a new object of class 'POCDMT000040 Authorization'.

  Returns:
    a new object of class 'POCDMT000040 Authorization'.

### createPOCDMT000040Birthplace

    POCDMT000040Birthplace createPOCDMT000040Birthplace()

  Returns a new object of class 'POCDMT000040 Birthplace'.

  Returns:
    a new object of class 'POCDMT000040 Birthplace'.

### createPOCDMT000040ClinicalDocument

    POCDMT000040ClinicalDocument createPOCDMT000040ClinicalDocument()

  Returns a new object of class 'POCDMT000040 Clinical Document'.

  Returns:
    a new object of class 'POCDMT000040 Clinical Document'.

### createPOCDMT000040Component1

    POCDMT000040Component1 createPOCDMT000040Component1()

  Returns a new object of class 'POCDMT000040 Component1'.

  Returns:
    a new object of class 'POCDMT000040 Component1'.

### createPOCDMT000040Component2

    POCDMT000040Component2 createPOCDMT000040Component2()

  Returns a new object of class 'POCDMT000040 Component2'.

  Returns:
    a new object of class 'POCDMT000040 Component2'.

### createPOCDMT000040Component3

    POCDMT000040Component3 createPOCDMT000040Component3()

  Returns a new object of class 'POCDMT000040 Component3'.

  Returns:
    a new object of class 'POCDMT000040 Component3'.

### createPOCDMT000040Component4

    POCDMT000040Component4 createPOCDMT000040Component4()

  Returns a new object of class 'POCDMT000040 Component4'.

  Returns:
    a new object of class 'POCDMT000040 Component4'.

### createPOCDMT000040Component5

    POCDMT000040Component5 createPOCDMT000040Component5()

  Returns a new object of class 'POCDMT000040 Component5'.

  Returns:
    a new object of class 'POCDMT000040 Component5'.

### createPOCDMT000040Consent

    POCDMT000040Consent createPOCDMT000040Consent()

  Returns a new object of class 'POCDMT000040 Consent'.

  Returns:
    a new object of class 'POCDMT000040 Consent'.

### createPOCDMT000040Consumable

    POCDMT000040Consumable createPOCDMT000040Consumable()

  Returns a new object of class 'POCDMT000040 Consumable'.

  Returns:
    a new object of class 'POCDMT000040 Consumable'.

### createPOCDMT000040Criterion

    POCDMT000040Criterion createPOCDMT000040Criterion()

  Returns a new object of class 'POCDMT000040 Criterion'.

  Returns:
    a new object of class 'POCDMT000040 Criterion'.

### createPOCDMT000040Custodian

    POCDMT000040Custodian createPOCDMT000040Custodian()

  Returns a new object of class 'POCDMT000040 Custodian'.

  Returns:
    a new object of class 'POCDMT000040 Custodian'.

### createPOCDMT000040CustodianOrganization

    POCDMT000040CustodianOrganization createPOCDMT000040CustodianOrganization()

  Returns a new object of class 'POCDMT000040 Custodian Organization'.

  Returns:
    a new object of class 'POCDMT000040 Custodian Organization'.

### createPOCDMT000040DataEnterer

    POCDMT000040DataEnterer createPOCDMT000040DataEnterer()

  Returns a new object of class 'POCDMT000040 Data Enterer'.

  Returns:
    a new object of class 'POCDMT000040 Data Enterer'.

### createPOCDMT000040Device

    POCDMT000040Device createPOCDMT000040Device()

  Returns a new object of class 'POCDMT000040 Device'.

  Returns:
    a new object of class 'POCDMT000040 Device'.

### createPOCDMT000040DocumentationOf

    POCDMT000040DocumentationOf createPOCDMT000040DocumentationOf()

  Returns a new object of class 'POCDMT000040 Documentation Of'.

  Returns:
    a new object of class 'POCDMT000040 Documentation Of'.

### createPOCDMT000040EncompassingEncounter

    POCDMT000040EncompassingEncounter createPOCDMT000040EncompassingEncounter()

  Returns a new object of class 'POCDMT000040 Encompassing Encounter'.

  Returns:
    a new object of class 'POCDMT000040 Encompassing Encounter'.

### createPOCDMT000040Encounter

    POCDMT000040Encounter createPOCDMT000040Encounter()

  Returns a new object of class 'POCDMT000040 Encounter'.

  Returns:
    a new object of class 'POCDMT000040 Encounter'.

### createPOCDMT000040EncounterParticipant

    POCDMT000040EncounterParticipant createPOCDMT000040EncounterParticipant()

  Returns a new object of class 'POCDMT000040 Encounter Participant'.

  Returns:
    a new object of class 'POCDMT000040 Encounter Participant'.

### createPOCDMT000040Entity

    POCDMT000040Entity createPOCDMT000040Entity()

  Returns a new object of class 'POCDMT000040 Entity'.

  Returns:
    a new object of class 'POCDMT000040 Entity'.

### createPOCDMT000040Entry

    POCDMT000040Entry createPOCDMT000040Entry()

  Returns a new object of class 'POCDMT000040 Entry'.

  Returns:
    a new object of class 'POCDMT000040 Entry'.

### createPOCDMT000040EntryRelationship

    POCDMT000040EntryRelationship createPOCDMT000040EntryRelationship()

  Returns a new object of class 'POCDMT000040 Entry Relationship'.

  Returns:
    a new object of class 'POCDMT000040 Entry Relationship'.

### createPOCDMT000040ExternalAct

    POCDMT000040ExternalAct createPOCDMT000040ExternalAct()

  Returns a new object of class 'POCDMT000040 External Act'.

  Returns:
    a new object of class 'POCDMT000040 External Act'.

### createPOCDMT000040ExternalDocument

    POCDMT000040ExternalDocument createPOCDMT000040ExternalDocument()

  Returns a new object of class 'POCDMT000040 External Document'.

  Returns:
    a new object of class 'POCDMT000040 External Document'.

### createPOCDMT000040ExternalObservation

    POCDMT000040ExternalObservation createPOCDMT000040ExternalObservation()

  Returns a new object of class 'POCDMT000040 External Observation'.

  Returns:
    a new object of class 'POCDMT000040 External Observation'.

### createPOCDMT000040ExternalProcedure

    POCDMT000040ExternalProcedure createPOCDMT000040ExternalProcedure()

  Returns a new object of class 'POCDMT000040 External Procedure'.

  Returns:
    a new object of class 'POCDMT000040 External Procedure'.

### createPOCDMT000040Guardian

    POCDMT000040Guardian createPOCDMT000040Guardian()

  Returns a new object of class 'POCDMT000040 Guardian'.

  Returns:
    a new object of class 'POCDMT000040 Guardian'.

### createPOCDMT000040HealthCareFacility

    POCDMT000040HealthCareFacility createPOCDMT000040HealthCareFacility()

  Returns a new object of class 'POCDMT000040 Health Care Facility'.

  Returns:
    a new object of class 'POCDMT000040 Health Care Facility'.

### createPOCDMT000040Informant12

    POCDMT000040Informant12 createPOCDMT000040Informant12()

  Returns a new object of class 'POCDMT000040 Informant12'.

  Returns:
    a new object of class 'POCDMT000040 Informant12'.

### createPOCDMT000040InformationRecipient

    POCDMT000040InformationRecipient createPOCDMT000040InformationRecipient()

  Returns a new object of class 'POCDMT000040 Information Recipient'.

  Returns:
    a new object of class 'POCDMT000040 Information Recipient'.

### createPOCDMT000040InfrastructureRootTypeId

    POCDMT000040InfrastructureRootTypeId createPOCDMT000040InfrastructureRootTypeId()

  Returns a new object of class 'POCDMT000040 Infrastructure Root Type Id'.

  Returns:
    a new object of class 'POCDMT000040 Infrastructure Root Type Id'.

### createPOCDMT000040InFulfillmentOf

    POCDMT000040InFulfillmentOf createPOCDMT000040InFulfillmentOf()

  Returns a new object of class 'POCDMT000040 In Fulfillment Of'.

  Returns:
    a new object of class 'POCDMT000040 In Fulfillment Of'.

### createPOCDMT000040IntendedRecipient

    POCDMT000040IntendedRecipient createPOCDMT000040IntendedRecipient()

  Returns a new object of class 'POCDMT000040 Intended Recipient'.

  Returns:
    a new object of class 'POCDMT000040 Intended Recipient'.

### createPOCDMT000040LabeledDrug

    POCDMT000040LabeledDrug createPOCDMT000040LabeledDrug()

  Returns a new object of class 'POCDMT000040 Labeled Drug'.

  Returns:
    a new object of class 'POCDMT000040 Labeled Drug'.

### createPOCDMT000040LanguageCommunication

    POCDMT000040LanguageCommunication createPOCDMT000040LanguageCommunication()

  Returns a new object of class 'POCDMT000040 Language Communication'.

  Returns:
    a new object of class 'POCDMT000040 Language Communication'.

### createPOCDMT000040LegalAuthenticator

    POCDMT000040LegalAuthenticator createPOCDMT000040LegalAuthenticator()

  Returns a new object of class 'POCDMT000040 Legal Authenticator'.

  Returns:
    a new object of class 'POCDMT000040 Legal Authenticator'.

### createPOCDMT000040Location

    POCDMT000040Location createPOCDMT000040Location()

  Returns a new object of class 'POCDMT000040 Location'.

  Returns:
    a new object of class 'POCDMT000040 Location'.

### createPOCDMT000040MaintainedEntity

    POCDMT000040MaintainedEntity createPOCDMT000040MaintainedEntity()

  Returns a new object of class 'POCDMT000040 Maintained Entity'.

  Returns:
    a new object of class 'POCDMT000040 Maintained Entity'.

### createPOCDMT000040ManufacturedProduct

    POCDMT000040ManufacturedProduct createPOCDMT000040ManufacturedProduct()

  Returns a new object of class 'POCDMT000040 Manufactured Product'.

  Returns:
    a new object of class 'POCDMT000040 Manufactured Product'.

### createPOCDMT000040Material

    POCDMT000040Material createPOCDMT000040Material()

  Returns a new object of class 'POCDMT000040 Material'.

  Returns:
    a new object of class 'POCDMT000040 Material'.

### createPOCDMT000040NonXMLBody

    POCDMT000040NonXMLBody createPOCDMT000040NonXMLBody()

  Returns a new object of class 'POCDMT000040 Non XML Body'.

  Returns:
    a new object of class 'POCDMT000040 Non XML Body'.

### createPOCDMT000040Observation

    POCDMT000040Observation createPOCDMT000040Observation()

  Returns a new object of class 'POCDMT000040 Observation'.

  Returns:
    a new object of class 'POCDMT000040 Observation'.

### createPOCDMT000040ObservationMedia

    POCDMT000040ObservationMedia createPOCDMT000040ObservationMedia()

  Returns a new object of class 'POCDMT000040 Observation Media'.

  Returns:
    a new object of class 'POCDMT000040 Observation Media'.

### createPOCDMT000040ObservationRange

    POCDMT000040ObservationRange createPOCDMT000040ObservationRange()

  Returns a new object of class 'POCDMT000040 Observation Range'.

  Returns:
    a new object of class 'POCDMT000040 Observation Range'.

### createPOCDMT000040Order

    POCDMT000040Order createPOCDMT000040Order()

  Returns a new object of class 'POCDMT000040 Order'.

  Returns:
    a new object of class 'POCDMT000040 Order'.

### createPOCDMT000040Organization

    POCDMT000040Organization createPOCDMT000040Organization()

  Returns a new object of class 'POCDMT000040 Organization'.

  Returns:
    a new object of class 'POCDMT000040 Organization'.

### createPOCDMT000040OrganizationPartOf

    POCDMT000040OrganizationPartOf createPOCDMT000040OrganizationPartOf()

  Returns a new object of class 'POCDMT000040 Organization Part Of'.

  Returns:
    a new object of class 'POCDMT000040 Organization Part Of'.

### createPOCDMT000040Organizer

    POCDMT000040Organizer createPOCDMT000040Organizer()

  Returns a new object of class 'POCDMT000040 Organizer'.

  Returns:
    a new object of class 'POCDMT000040 Organizer'.

### createPOCDMT000040ParentDocument

    POCDMT000040ParentDocument createPOCDMT000040ParentDocument()

  Returns a new object of class 'POCDMT000040 Parent Document'.

  Returns:
    a new object of class 'POCDMT000040 Parent Document'.

### createPOCDMT000040Participant1

    POCDMT000040Participant1 createPOCDMT000040Participant1()

  Returns a new object of class 'POCDMT000040 Participant1'.

  Returns:
    a new object of class 'POCDMT000040 Participant1'.

### createPOCDMT000040Participant2

    POCDMT000040Participant2 createPOCDMT000040Participant2()

  Returns a new object of class 'POCDMT000040 Participant2'.

  Returns:
    a new object of class 'POCDMT000040 Participant2'.

### createPOCDMT000040ParticipantRole

    POCDMT000040ParticipantRole createPOCDMT000040ParticipantRole()

  Returns a new object of class 'POCDMT000040 Participant Role'.

  Returns:
    a new object of class 'POCDMT000040 Participant Role'.

### createPOCDMT000040Patient

    POCDMT000040Patient createPOCDMT000040Patient()

  Returns a new object of class 'POCDMT000040 Patient'.

  Returns:
    a new object of class 'POCDMT000040 Patient'.

### createPOCDMT000040PatientRole

    POCDMT000040PatientRole createPOCDMT000040PatientRole()

  Returns a new object of class 'POCDMT000040 Patient Role'.

  Returns:
    a new object of class 'POCDMT000040 Patient Role'.

### createPOCDMT000040Performer1

    POCDMT000040Performer1 createPOCDMT000040Performer1()

  Returns a new object of class 'POCDMT000040 Performer1'.

  Returns:
    a new object of class 'POCDMT000040 Performer1'.

### createPOCDMT000040Performer2

    POCDMT000040Performer2 createPOCDMT000040Performer2()

  Returns a new object of class 'POCDMT000040 Performer2'.

  Returns:
    a new object of class 'POCDMT000040 Performer2'.

### createPOCDMT000040Person

    POCDMT000040Person createPOCDMT000040Person()

  Returns a new object of class 'POCDMT000040 Person'.

  Returns:
    a new object of class 'POCDMT000040 Person'.

### createPOCDMT000040Place

    POCDMT000040Place createPOCDMT000040Place()

  Returns a new object of class 'POCDMT000040 Place'.

  Returns:
    a new object of class 'POCDMT000040 Place'.

### createPOCDMT000040PlayingEntity

    POCDMT000040PlayingEntity createPOCDMT000040PlayingEntity()

  Returns a new object of class 'POCDMT000040 Playing Entity'.

  Returns:
    a new object of class 'POCDMT000040 Playing Entity'.

### createPOCDMT000040Precondition

    POCDMT000040Precondition createPOCDMT000040Precondition()

  Returns a new object of class 'POCDMT000040 Precondition'.

  Returns:
    a new object of class 'POCDMT000040 Precondition'.

### createPOCDMT000040Procedure

    POCDMT000040Procedure createPOCDMT000040Procedure()

  Returns a new object of class 'POCDMT000040 Procedure'.

  Returns:
    a new object of class 'POCDMT000040 Procedure'.

### createPOCDMT000040Product

    POCDMT000040Product createPOCDMT000040Product()

  Returns a new object of class 'POCDMT000040 Product'.

  Returns:
    a new object of class 'POCDMT000040 Product'.

### createPOCDMT000040RecordTarget

    POCDMT000040RecordTarget createPOCDMT000040RecordTarget()

  Returns a new object of class 'POCDMT000040 Record Target'.

  Returns:
    a new object of class 'POCDMT000040 Record Target'.

### createPOCDMT000040Reference

    POCDMT000040Reference createPOCDMT000040Reference()

  Returns a new object of class 'POCDMT000040 Reference'.

  Returns:
    a new object of class 'POCDMT000040 Reference'.

### createPOCDMT000040ReferenceRange

    POCDMT000040ReferenceRange createPOCDMT000040ReferenceRange()

  Returns a new object of class 'POCDMT000040 Reference Range'.

  Returns:
    a new object of class 'POCDMT000040 Reference Range'.

### createPOCDMT000040RegionOfInterest

    POCDMT000040RegionOfInterest createPOCDMT000040RegionOfInterest()

  Returns a new object of class 'POCDMT000040 Region Of Interest'.

  Returns:
    a new object of class 'POCDMT000040 Region Of Interest'.

### createPOCDMT000040RegionOfInterestValue

    POCDMT000040RegionOfInterestValue createPOCDMT000040RegionOfInterestValue()

  Returns a new object of class 'POCDMT000040 Region Of Interest Value'.

  Returns:
    a new object of class 'POCDMT000040 Region Of Interest Value'.

### createPOCDMT000040RelatedDocument

    POCDMT000040RelatedDocument createPOCDMT000040RelatedDocument()

  Returns a new object of class 'POCDMT000040 Related Document'.

  Returns:
    a new object of class 'POCDMT000040 Related Document'.

### createPOCDMT000040RelatedEntity

    POCDMT000040RelatedEntity createPOCDMT000040RelatedEntity()

  Returns a new object of class 'POCDMT000040 Related Entity'.

  Returns:
    a new object of class 'POCDMT000040 Related Entity'.

### createPOCDMT000040RelatedSubject

    POCDMT000040RelatedSubject createPOCDMT000040RelatedSubject()

  Returns a new object of class 'POCDMT000040 Related Subject'.

  Returns:
    a new object of class 'POCDMT000040 Related Subject'.

### createPOCDMT000040ResponsibleParty

    POCDMT000040ResponsibleParty createPOCDMT000040ResponsibleParty()

  Returns a new object of class 'POCDMT000040 Responsible Party'.

  Returns:
    a new object of class 'POCDMT000040 Responsible Party'.

### createPOCDMT000040Section

    POCDMT000040Section createPOCDMT000040Section()

  Returns a new object of class 'POCDMT000040 Section'.

  Returns:
    a new object of class 'POCDMT000040 Section'.

### createPOCDMT000040ServiceEvent

    POCDMT000040ServiceEvent createPOCDMT000040ServiceEvent()

  Returns a new object of class 'POCDMT000040 Service Event'.

  Returns:
    a new object of class 'POCDMT000040 Service Event'.

### createPOCDMT000040Specimen

    POCDMT000040Specimen createPOCDMT000040Specimen()

  Returns a new object of class 'POCDMT000040 Specimen'.

  Returns:
    a new object of class 'POCDMT000040 Specimen'.

### createPOCDMT000040SpecimenRole

    POCDMT000040SpecimenRole createPOCDMT000040SpecimenRole()

  Returns a new object of class 'POCDMT000040 Specimen Role'.

  Returns:
    a new object of class 'POCDMT000040 Specimen Role'.

### createPOCDMT000040StructuredBody

    POCDMT000040StructuredBody createPOCDMT000040StructuredBody()

  Returns a new object of class 'POCDMT000040 Structured Body'.

  Returns:
    a new object of class 'POCDMT000040 Structured Body'.

### createPOCDMT000040Subject

    POCDMT000040Subject createPOCDMT000040Subject()

  Returns a new object of class 'POCDMT000040 Subject'.

  Returns:
    a new object of class 'POCDMT000040 Subject'.

### createPOCDMT000040SubjectPerson

    POCDMT000040SubjectPerson createPOCDMT000040SubjectPerson()

  Returns a new object of class 'POCDMT000040 Subject Person'.

  Returns:
    a new object of class 'POCDMT000040 Subject Person'.

### createPOCDMT000040SubstanceAdministration

    POCDMT000040SubstanceAdministration createPOCDMT000040SubstanceAdministration()

  Returns a new object of class 'POCDMT000040 Substance Administration'.

  Returns:
    a new object of class 'POCDMT000040 Substance Administration'.

### createPOCDMT000040Supply

    POCDMT000040Supply createPOCDMT000040Supply()

  Returns a new object of class 'POCDMT000040 Supply'.

  Returns:
    a new object of class 'POCDMT000040 Supply'.

### createPPDPQ

    PPDPQ createPPDPQ()

  Returns a new object of class 'PPDPQ'.

  Returns:
    a new object of class 'PPDPQ'.

### createPPDTS

    PPDTS createPPDTS()

  Returns a new object of class 'PPDTS'.

  Returns:
    a new object of class 'PPDTS'.

### createPQ

    PQ createPQ()

  Returns a new object of class 'PQ'.

  Returns:
    a new object of class 'PQ'.

### createPQR

    PQR createPQR()

  Returns a new object of class 'PQR'.

  Returns:
    a new object of class 'PQR'.

### createREAL1

    REAL1 createREAL1()

  Returns a new object of class 'REAL1'.

  Returns:
    a new object of class 'REAL1'.

### createRTO

    RTO createRTO()

  Returns a new object of class 'RTO'.

  Returns:
    a new object of class 'RTO'.

### createRTOMOPQ

    RTOMOPQ createRTOMOPQ()

  Returns a new object of class 'RTOMOPQ'.

  Returns:
    a new object of class 'RTOMOPQ'.

### createRTOPQPQ

    RTOPQPQ createRTOPQPQ()

  Returns a new object of class 'RTOPQPQ'.

  Returns:
    a new object of class 'RTOPQPQ'.

### createRTOQTYQTY

    RTOQTYQTY createRTOQTYQTY()

  Returns a new object of class 'RTOQTYQTY'.

  Returns:
    a new object of class 'RTOQTYQTY'.

### createSC

    SC createSC()

  Returns a new object of class 'SC'.

  Returns:
    a new object of class 'SC'.

### createSLISTPQ

    SLISTPQ createSLISTPQ()

  Returns a new object of class 'SLISTPQ'.

  Returns:
    a new object of class 'SLISTPQ'.

### createSLISTTS

    SLISTTS createSLISTTS()

  Returns a new object of class 'SLISTTS'.

  Returns:
    a new object of class 'SLISTTS'.

### createST1

    ST1 createST1()

  Returns a new object of class 'ST1'.

  Returns:
    a new object of class 'ST1'.

### createStrucDocBr

    StrucDocBr createStrucDocBr()

  Returns a new object of class 'Struc Doc Br'.

  Returns:
    a new object of class 'Struc Doc Br'.

### createStrucDocCaption

    StrucDocCaption createStrucDocCaption()

  Returns a new object of class 'Struc Doc Caption'.

  Returns:
    a new object of class 'Struc Doc Caption'.

### createStrucDocCol

    StrucDocCol createStrucDocCol()

  Returns a new object of class 'Struc Doc Col'.

  Returns:
    a new object of class 'Struc Doc Col'.

### createStrucDocColgroup

    StrucDocColgroup createStrucDocColgroup()

  Returns a new object of class 'Struc Doc Colgroup'.

  Returns:
    a new object of class 'Struc Doc Colgroup'.

### createStrucDocContent

    StrucDocContent createStrucDocContent()

  Returns a new object of class 'Struc Doc Content'.

  Returns:
    a new object of class 'Struc Doc Content'.

### createStrucDocFootnote

    StrucDocFootnote createStrucDocFootnote()

  Returns a new object of class 'Struc Doc Footnote'.

  Returns:
    a new object of class 'Struc Doc Footnote'.

### createStrucDocFootnoteRef

    StrucDocFootnoteRef createStrucDocFootnoteRef()

  Returns a new object of class 'Struc Doc Footnote Ref'.

  Returns:
    a new object of class 'Struc Doc Footnote Ref'.

### createStrucDocItem

    StrucDocItem createStrucDocItem()

  Returns a new object of class 'Struc Doc Item'.

  Returns:
    a new object of class 'Struc Doc Item'.

### createStrucDocLinkHtml

    StrucDocLinkHtml createStrucDocLinkHtml()

  Returns a new object of class 'Struc Doc Link Html'.

  Returns:
    a new object of class 'Struc Doc Link Html'.

### createStrucDocList

    StrucDocList createStrucDocList()

  Returns a new object of class 'Struc Doc List'.

  Returns:
    a new object of class 'Struc Doc List'.

### createStrucDocParagraph

    StrucDocParagraph createStrucDocParagraph()

  Returns a new object of class 'Struc Doc Paragraph'.

  Returns:
    a new object of class 'Struc Doc Paragraph'.

### createStrucDocRenderMultiMedia

    StrucDocRenderMultiMedia createStrucDocRenderMultiMedia()

  Returns a new object of class 'Struc Doc Render Multi Media'.

  Returns:
    a new object of class 'Struc Doc Render Multi Media'.

### createStrucDocSub

    StrucDocSub createStrucDocSub()

  Returns a new object of class 'Struc Doc Sub'.

  Returns:
    a new object of class 'Struc Doc Sub'.

### createStrucDocSup

    StrucDocSup createStrucDocSup()

  Returns a new object of class 'Struc Doc Sup'.

  Returns:
    a new object of class 'Struc Doc Sup'.

### createStrucDocTable

    StrucDocTable createStrucDocTable()

  Returns a new object of class 'Struc Doc Table'.

  Returns:
    a new object of class 'Struc Doc Table'.

### createStrucDocTbody

    StrucDocTbody createStrucDocTbody()

  Returns a new object of class 'Struc Doc Tbody'.

  Returns:
    a new object of class 'Struc Doc Tbody'.

### createStrucDocTd

    StrucDocTd createStrucDocTd()

  Returns a new object of class 'Struc Doc Td'.

  Returns:
    a new object of class 'Struc Doc Td'.

### createStrucDocText

    StrucDocText createStrucDocText()

  Returns a new object of class 'Struc Doc Text'.

  Returns:
    a new object of class 'Struc Doc Text'.

### createStrucDocTfoot

    StrucDocTfoot createStrucDocTfoot()

  Returns a new object of class 'Struc Doc Tfoot'.

  Returns:
    a new object of class 'Struc Doc Tfoot'.

### createStrucDocTh

    StrucDocTh createStrucDocTh()

  Returns a new object of class 'Struc Doc Th'.

  Returns:
    a new object of class 'Struc Doc Th'.

### createStrucDocThead

    StrucDocThead createStrucDocThead()

  Returns a new object of class 'Struc Doc Thead'.

  Returns:
    a new object of class 'Struc Doc Thead'.

### createStrucDocTitle

    StrucDocTitle createStrucDocTitle()

  Returns a new object of class 'Struc Doc Title'.

  Returns:
    a new object of class 'Struc Doc Title'.

### createStrucDocTitleContent

    StrucDocTitleContent createStrucDocTitleContent()

  Returns a new object of class 'Struc Doc Title Content'.

  Returns:
    a new object of class 'Struc Doc Title Content'.

### createStrucDocTitleFootnote

    StrucDocTitleFootnote createStrucDocTitleFootnote()

  Returns a new object of class 'Struc Doc Title Footnote'.

  Returns:
    a new object of class 'Struc Doc Title Footnote'.

### createStrucDocTr

    StrucDocTr createStrucDocTr()

  Returns a new object of class 'Struc Doc Tr'.

  Returns:
    a new object of class 'Struc Doc Tr'.

### createSXCMCD

    SXCMCD createSXCMCD()

  Returns a new object of class 'SXCMCD'.

  Returns:
    a new object of class 'SXCMCD'.

### createSXCMINT

    SXCMINT createSXCMINT()

  Returns a new object of class 'SXCMINT'.

  Returns:
    a new object of class 'SXCMINT'.

### createSXCMMO

    SXCMMO createSXCMMO()

  Returns a new object of class 'SXCMMO'.

  Returns:
    a new object of class 'SXCMMO'.

### createSXCMPPDPQ

    SXCMPPDPQ createSXCMPPDPQ()

  Returns a new object of class 'SXCMPPDPQ'.

  Returns:
    a new object of class 'SXCMPPDPQ'.

### createSXCMPPDTS

    SXCMPPDTS createSXCMPPDTS()

  Returns a new object of class 'SXCMPPDTS'.

  Returns:
    a new object of class 'SXCMPPDTS'.

### createSXCMPQ

    SXCMPQ createSXCMPQ()

  Returns a new object of class 'SXCMPQ'.

  Returns:
    a new object of class 'SXCMPQ'.

### createSXCMREAL

    SXCMREAL createSXCMREAL()

  Returns a new object of class 'SXCMREAL'.

  Returns:
    a new object of class 'SXCMREAL'.

### createSXCMTS

    SXCMTS createSXCMTS()

  Returns a new object of class 'SXCMTS'.

  Returns:
    a new object of class 'SXCMTS'.

### createSXPRTS

    SXPRTS createSXPRTS()

  Returns a new object of class 'SXPRTS'.

  Returns:
    a new object of class 'SXPRTS'.

### createTEL

    TEL createTEL()

  Returns a new object of class 'TEL'.

  Returns:
    a new object of class 'TEL'.

### createThumbnail

    Thumbnail createThumbnail()

  Returns a new object of class 'Thumbnail'.

  Returns:
    a new object of class 'Thumbnail'.

### createTN

    TN createTN()

  Returns a new object of class 'TN'.

  Returns:
    a new object of class 'TN'.

### createTS1

    TS1 createTS1()

  Returns a new object of class 'TS1'.

  Returns:
    a new object of class 'TS1'.

### createUVPTS

    UVPTS createUVPTS()

  Returns a new object of class 'UVPTS'.

  Returns:
    a new object of class 'UVPTS'.

### getCDAR2Package

    CDAR2Package getCDAR2Package()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD